/*******************************************************************************
 *
 * 	Copyright Avaya Inc., All Rights Reserved.
 *
 * 	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Avaya Inc.
 *
 * 	The copyright notice above does not evidence any actual or intended	publication of such source code.
 * 	
 * 	Some third-party source code components may have been modified from their original versions by Avaya Inc.
 *
 * 	The modifications are Copyright Avaya Inc., All Rights Reserved.
 *
 * 	Avaya - Confidential & Restricted. May not be distributed further without written permission of the Avaya owner.
 * 	
 *******************************************************************************/
package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;

public class GetCustomFieldsRequest extends InteractionRequest {
    
    private static final Logger LOG = Logger.getLogger(GetCustomFieldsRequest.class);

    public GetCustomFieldsRequest(String interactionID) {
        super(LOG, interactionID);
    }

    /**
     * The call method executes on the outgoingRequest thread
     *
     * @return
     * @throws Exception
     */
    @Override
    protected Object call() throws Exception {
        String methodName = "call() ";
        LOG.trace(methodName + "+");
        getInteraction().getCustomFields();
        LOG.trace(methodName + "-");
        return null;
    }
}
